> ## Documentation Index
> Fetch the complete documentation index at: https://docs.shoppex.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get category

> Returns one category by uniqid, including its public cover URL in `cdn_image_url` when a category image exists.



## OpenAPI

````yaml /openapi.json get /dev/v1/categories/{id}
openapi: 3.0.3
info:
  title: Shoppex Developer API
  description: Mintlify-compatible Developer API reference for Shoppex.
  version: 1.0.0
  contact:
    name: Shoppex Support
    email: support@shoppex.io
    url: https://shoppex.io
servers:
  - url: https://api.shoppex.io
security:
  - bearerAuth: []
paths:
  /dev/v1/categories/{id}:
    get:
      tags:
        - Categories
      summary: Get category
      description: >-
        Returns one category by uniqid, including its public cover URL in
        `cdn_image_url` when a category image exists.
      operationId: getDevV1CategoriesById
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                required:
                  - data
                properties:
                  data:
                    type: object
                    required:
                      - id
                      - uniqid
                      - shop_id
                      - title
                      - unlisted
                      - sort_order
                      - cloudflare_image_id
                      - cdn_image_url
                      - products_bound
                      - products_count
                      - groups_bound
                      - groups_count
                      - created_at
                      - updated_at
                    properties:
                      id:
                        type: string
                      uniqid:
                        type: string
                      shop_id:
                        type: string
                      title:
                        type: string
                      unlisted:
                        type: boolean
                      sort_order:
                        type: number
                      cloudflare_image_id:
                        type: string
                        nullable: true
                      cdn_image_url:
                        type: string
                        nullable: true
                      products_bound:
                        type: array
                        items:
                          type: object
                          required:
                            - uniqid
                            - title
                            - price
                            - price_display
                            - discount_percent
                            - currency
                            - unlisted
                            - image_id
                            - image_url
                            - description
                            - quantity_min
                            - quantity_max
                            - quantity_warning
                            - custom_fields
                            - type
                            - shop_id
                            - gateways
                            - crypto_confirmations
                            - private
                            - stock
                            - sort_priority
                            - on_hold
                            - video_link
                            - created_at
                            - updated_at
                          properties:
                            uniqid:
                              type: string
                            title:
                              type: string
                              nullable: true
                            price:
                              type: number
                            price_display:
                              type: number
                            discount_percent:
                              type: number
                            currency:
                              type: string
                            unlisted:
                              type: boolean
                            image_id:
                              type: string
                              nullable: true
                            image_url:
                              type: string
                              nullable: true
                            description:
                              type: string
                              nullable: true
                            quantity_min:
                              type: number
                            quantity_max:
                              type: number
                            quantity_warning:
                              type: number
                            custom_fields:
                              type: array
                              items:
                                type: object
                                additionalProperties: true
                            type:
                              type: string
                            shop_id:
                              type: string
                            gateways:
                              type: array
                              items:
                                type: string
                            crypto_confirmations:
                              type: number
                            private:
                              type: boolean
                            stock:
                              type: number
                            sort_priority:
                              type: number
                            on_hold:
                              type: boolean
                            video_link:
                              type: string
                              nullable: true
                            created_at:
                              nullable: true
                              type: number
                            updated_at:
                              nullable: true
                              type: number
                      products_count:
                        type: number
                      groups_bound:
                        type: array
                        items:
                          type: object
                          required:
                            - uniqid
                            - title
                            - created_at
                            - updated_at
                          properties:
                            uniqid:
                              type: string
                            title:
                              type: string
                            created_at:
                              nullable: true
                              type: number
                            updated_at:
                              nullable: true
                              type: number
                      groups_count:
                        type: number
                      created_at:
                        nullable: true
                        type: number
                      updated_at:
                        nullable: true
                        type: number
            multipart/form-data:
              schema:
                type: object
                required:
                  - data
                properties:
                  data:
                    type: object
                    required:
                      - id
                      - uniqid
                      - shop_id
                      - title
                      - unlisted
                      - sort_order
                      - cloudflare_image_id
                      - cdn_image_url
                      - products_bound
                      - products_count
                      - groups_bound
                      - groups_count
                      - created_at
                      - updated_at
                    properties:
                      id:
                        type: string
                      uniqid:
                        type: string
                      shop_id:
                        type: string
                      title:
                        type: string
                      unlisted:
                        type: boolean
                      sort_order:
                        type: number
                      cloudflare_image_id:
                        type: string
                        nullable: true
                      cdn_image_url:
                        type: string
                        nullable: true
                      products_bound:
                        type: array
                        items:
                          type: object
                          required:
                            - uniqid
                            - title
                            - price
                            - price_display
                            - discount_percent
                            - currency
                            - unlisted
                            - image_id
                            - image_url
                            - description
                            - quantity_min
                            - quantity_max
                            - quantity_warning
                            - custom_fields
                            - type
                            - shop_id
                            - gateways
                            - crypto_confirmations
                            - private
                            - stock
                            - sort_priority
                            - on_hold
                            - video_link
                            - created_at
                            - updated_at
                          properties:
                            uniqid:
                              type: string
                            title:
                              type: string
                              nullable: true
                            price:
                              type: number
                            price_display:
                              type: number
                            discount_percent:
                              type: number
                            currency:
                              type: string
                            unlisted:
                              type: boolean
                            image_id:
                              type: string
                              nullable: true
                            image_url:
                              type: string
                              nullable: true
                            description:
                              type: string
                              nullable: true
                            quantity_min:
                              type: number
                            quantity_max:
                              type: number
                            quantity_warning:
                              type: number
                            custom_fields:
                              type: array
                              items:
                                type: object
                                additionalProperties: true
                            type:
                              type: string
                            shop_id:
                              type: string
                            gateways:
                              type: array
                              items:
                                type: string
                            crypto_confirmations:
                              type: number
                            private:
                              type: boolean
                            stock:
                              type: number
                            sort_priority:
                              type: number
                            on_hold:
                              type: boolean
                            video_link:
                              type: string
                              nullable: true
                            created_at:
                              nullable: true
                              type: number
                            updated_at:
                              nullable: true
                              type: number
                      products_count:
                        type: number
                      groups_bound:
                        type: array
                        items:
                          type: object
                          required:
                            - uniqid
                            - title
                            - created_at
                            - updated_at
                          properties:
                            uniqid:
                              type: string
                            title:
                              type: string
                            created_at:
                              nullable: true
                              type: number
                            updated_at:
                              nullable: true
                              type: number
                      groups_count:
                        type: number
                      created_at:
                        nullable: true
                        type: number
                      updated_at:
                        nullable: true
                        type: number
            text/plain:
              schema:
                type: object
                required:
                  - data
                properties:
                  data:
                    type: object
                    required:
                      - id
                      - uniqid
                      - shop_id
                      - title
                      - unlisted
                      - sort_order
                      - cloudflare_image_id
                      - cdn_image_url
                      - products_bound
                      - products_count
                      - groups_bound
                      - groups_count
                      - created_at
                      - updated_at
                    properties:
                      id:
                        type: string
                      uniqid:
                        type: string
                      shop_id:
                        type: string
                      title:
                        type: string
                      unlisted:
                        type: boolean
                      sort_order:
                        type: number
                      cloudflare_image_id:
                        type: string
                        nullable: true
                      cdn_image_url:
                        type: string
                        nullable: true
                      products_bound:
                        type: array
                        items:
                          type: object
                          required:
                            - uniqid
                            - title
                            - price
                            - price_display
                            - discount_percent
                            - currency
                            - unlisted
                            - image_id
                            - image_url
                            - description
                            - quantity_min
                            - quantity_max
                            - quantity_warning
                            - custom_fields
                            - type
                            - shop_id
                            - gateways
                            - crypto_confirmations
                            - private
                            - stock
                            - sort_priority
                            - on_hold
                            - video_link
                            - created_at
                            - updated_at
                          properties:
                            uniqid:
                              type: string
                            title:
                              type: string
                              nullable: true
                            price:
                              type: number
                            price_display:
                              type: number
                            discount_percent:
                              type: number
                            currency:
                              type: string
                            unlisted:
                              type: boolean
                            image_id:
                              type: string
                              nullable: true
                            image_url:
                              type: string
                              nullable: true
                            description:
                              type: string
                              nullable: true
                            quantity_min:
                              type: number
                            quantity_max:
                              type: number
                            quantity_warning:
                              type: number
                            custom_fields:
                              type: array
                              items:
                                type: object
                                additionalProperties: true
                            type:
                              type: string
                            shop_id:
                              type: string
                            gateways:
                              type: array
                              items:
                                type: string
                            crypto_confirmations:
                              type: number
                            private:
                              type: boolean
                            stock:
                              type: number
                            sort_priority:
                              type: number
                            on_hold:
                              type: boolean
                            video_link:
                              type: string
                              nullable: true
                            created_at:
                              nullable: true
                              type: number
                            updated_at:
                              nullable: true
                              type: number
                      products_count:
                        type: number
                      groups_bound:
                        type: array
                        items:
                          type: object
                          required:
                            - uniqid
                            - title
                            - created_at
                            - updated_at
                          properties:
                            uniqid:
                              type: string
                            title:
                              type: string
                            created_at:
                              nullable: true
                              type: number
                            updated_at:
                              nullable: true
                              type: number
                      groups_count:
                        type: number
                      created_at:
                        nullable: true
                        type: number
                      updated_at:
                        nullable: true
                        type: number
        '401':
          description: Error response
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                properties:
                  error:
                    type: object
                    required:
                      - code
                      - message
                      - doc_url
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      doc_url:
                        type: string
                      details:
                        type: array
                        items:
                          type: object
                          required:
                            - field
                            - message
                          properties:
                            field:
                              type: string
                            message:
                              type: string
        '403':
          description: Error response
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                properties:
                  error:
                    type: object
                    required:
                      - code
                      - message
                      - doc_url
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      doc_url:
                        type: string
                      details:
                        type: array
                        items:
                          type: object
                          required:
                            - field
                            - message
                          properties:
                            field:
                              type: string
                            message:
                              type: string
        '404':
          description: Error response
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                properties:
                  error:
                    type: object
                    required:
                      - code
                      - message
                      - doc_url
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      doc_url:
                        type: string
                      details:
                        type: array
                        items:
                          type: object
                          required:
                            - field
                            - message
                          properties:
                            field:
                              type: string
                            message:
                              type: string
        '429':
          description: Error response
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                properties:
                  error:
                    type: object
                    required:
                      - code
                      - message
                      - doc_url
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      doc_url:
                        type: string
                      details:
                        type: array
                        items:
                          type: object
                          required:
                            - field
                            - message
                          properties:
                            field:
                              type: string
                            message:
                              type: string
      deprecated: false
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: Use your Shoppex API key in the Authorization header.

````